-- Licensed Materials - Property of IBM
-- 5724-M24
--  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

DROP TABLE "$SCHEMA"."DDLOK";
DROP INDEX "$SCHEMA".MIG_PI_MCIID; 
DROP INDEX "$SCHEMA".MIG_PI_HI_KEY; 
DROP INDEX "$SCHEMA".MIG_PI_PRNT_MCIID ;
DROP INDEX "$SCHEMA".MIG_PI_MCIID_CT ;
DROP INDEX "$SCHEMA".MIG_PI_CT_PTID_MC;
DROP INDEX "$SCHEMA".MIG_PI_TOP ;

DROP INDEX "$SCHEMA".MIG_AI_PRNT_ID_CMP ;
DROP INDEX "$SCHEMA".MIG_AI_PRNT_MCIID ;
DROP INDEX "$SCHEMA".MIG_AI_MCIID ;
DROP INDEX "$SCHEMA".MIG_AI_AIID_NAME ;
DROP INDEX "$SCHEMA".MIG_AI_CT ;

DROP INDEX "$SCHEMA".MIG_HI_NAME;

DROP TABLE "$SCHEMA"."HIERARCHY";

ALTER TABLE "$SCHEMA"."ACTIVITY_INST" DROP COLUMN AI_MCI_MCIID;
ALTER TABLE "$SCHEMA"."ACTIVITY_INST" DROP COLUMN AI_PARENT_MCI_MCIID;
ALTER TABLE "$SCHEMA"."ACTIVITY_INST" DROP COLUMN AI_HI_KEY;
ALTER TABLE "$SCHEMA"."PROCESS_INST" DROP COLUMN PI_MCI_MCIID; 
ALTER TABLE "$SCHEMA"."PROCESS_INST" DROP COLUMN PI_PARENT_MCI_MCIID;
ALTER TABLE "$SCHEMA"."PROCESS_INST" DROP COLUMN PI_HI_KEY;

DROP SEQUENCE "$SCHEMA".MCI_SEQ;
DROP SEQUENCE "$SCHEMA".HIERARCHY_SEQ;

COMMIT;
